caoss.simulator.parser

## Interface ParserConstants

- All Known Implementing Classes:
    Parser, ParserTokenManager

      public interface ParserConstants

  Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `COMPUTATION` RegularExpression Id.
    `static int` | `DECIMAL_LITERAL` RegularExpression Id.
    `static int` | `DEFAULT` Lexical state.
    `static int` | `EOF` End of File.
    `static int` | `HEX_LITERAL` RegularExpression Id.
    `static int` | `IDENTIFIER` RegularExpression Id.
    `static int` | `LETTER` RegularExpression Id.
    `static int` | `LOOP` RegularExpression Id.
    `static int` | `MEM_LOAD` RegularExpression Id.
    `static int` | `MEM_STORE` RegularExpression Id.
    `static int` | `PART_LETTER` RegularExpression Id.
    `static int` | `SYSCALL` RegularExpression Id.
    `static java.lang.String[]` | `tokenImage` Literal token values.

- - ### Field Detail

    - #### EOF

          static final int EOF

      End of File.
      See Also:
        Constant Field Values

    - #### COMPUTATION

          static final int COMPUTATION

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SYSCALL

          static final int SYSCALL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MEM_LOAD

          static final int MEM_LOAD

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MEM_STORE

          static final int MEM_STORE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LOOP

          static final int LOOP

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DECIMAL_LITERAL

          static final int DECIMAL_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### HEX_LITERAL

          static final int HEX_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### IDENTIFIER

          static final int IDENTIFIER

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LETTER

          static final int LETTER

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### PART_LETTER

          static final int PART_LETTER

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DEFAULT

          static final int DEFAULT

      Lexical state.
      See Also:
        Constant Field Values

    - #### tokenImage

          static final java.lang.String[] tokenImage

      Literal token values.